Entity Match API
The Entity Match API allows the Payout Service Providers (PSPs) to retrieve essential matching data for sellers such as the seller’s business identifier (registration number or tax identifier depending on country), legal business name, and country of incorporation. Use this API to gather and verify critical seller information, ensuring compliance and validating business details for accurate and lawful payment processing.
Endpoint
GET /v3/settings/entitymatchprofile
Rate limits
If you submit too many requests in a short period of time, you may exceed Walmart’s rate limits and receive HTTP 429 (Too Many Requests) responses. For more details on throttling and best practices, refer to the Rate Limiting Guide.
Sample request
curl -X GET "https://marketplace.walmartapis.com/v3/settings/entitymatchprofile" \ -H "WM_SEC.ACCESS_TOKEN: your_access_token" \ -H "WM_CONSUMER.CHANNEL.TYPE: your_channel_type" \ -H "WM_QOS.CORRELATION_ID: your_correlation_id" \ -H "WM_SVC.NAME: Walmart Marketplace" \ -H "Accept: application/json"
import requests url = "https://marketplace.walmartapis.com/v3/settings/entitymatchprofile" headers = { "WM_SEC.ACCESS_TOKEN": "your_access_token", "WM_CONSUMER.CHANNEL.TYPE": "your_channel_type", "WM_QOS.CORRELATION_ID": "your_correlation_id", "WM_SVC.NAME": "Walmart Marketplace", "Accept": "application/json"
} response = requests.get(url, headers=headers) print(response.status_code)
print(response.json())
Modify your code
- Use your unique
WM_SEC.ACCESS_TOKENobtained from the Token API. - Use your
WM_QOS.CORRELATION_IDfor each request to track and correlate requests and responses across systems. - Provide
WM_SVC.NAMEto specify the Walmart service being called. - Use your
WM_CONSUMER.CHANNEL.TYPEID to specify the type of channel through which the request is being made.
Sample response
{ "body": { "businessRegistrationNumber": "ABCD0050", "name": "Collins Goods LLC", "countryOfIncorporation": "HK" }, "status": "OK"
}
Result
If successful, the API response returns an HTTP status: 200 OK with a JSON payload containing the matching entity data of the seller, including:
businessRegistrationNumber: Seller business identifier (for example, business registration number or tax identifier depending on country).name: The seller's legal business name.countryOfIncorporation: The country in which the business is legally incorporated/registered.
Updated 1 day ago
